package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ContractChangeE2Factory
{
    private ContractChangeE2Factory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IContractChangeE2 getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractChangeE2)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("84289F4D") ,com.kingdee.eas.custom.gggl.IContractChangeE2.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IContractChangeE2 getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractChangeE2)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("84289F4D") ,com.kingdee.eas.custom.gggl.IContractChangeE2.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IContractChangeE2 getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractChangeE2)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("84289F4D"));
    }
    public static com.kingdee.eas.custom.gggl.IContractChangeE2 getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractChangeE2)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("84289F4D"));
    }
}